Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRDesignStyle

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseStyle
          net.sf.jasperreports.engine.design.JRDesignStyle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRBoxContainer, JRCloneable, JRPenContainer, JRStyle, JRStyleContainer

    public class JRDesignStyle

extends JRBaseStyle

Version:
  $Id: JRDesignStyle.java 3863 2010-06-04 12:37:17Z teodord $
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_CONDITIONAL_STYLES`
`static java.lang.String` | `PROPERTY_DEFAULT`
`static java.lang.String` | `PROPERTY_NAME`
`static java.lang.String` | `PROPERTY_PARENT_STYLE`
`static java.lang.String` | `PROPERTY_PARENT_STYLE_NAME_REFERENCE`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseStyle
`backcolor, conditionalStyles, defaultStyleProvider, fillValue, fontName, fontSize, forecolor, horizontalAlignmentValue, isBlankWhenNull, isBold, isDefault, isItalic, isPdfEmbedded, isStrikeThrough, isUnderline, lineBox, linePen, lineSpacingValue, markup, modeValue, name, parentStyle, parentStyleNameReference, pattern, pdfEncoding, pdfFontName, positionType, PROPERTY_BACKCOLOR, PROPERTY_BLANK_WHEN_NULL, PROPERTY_BOLD, PROPERTY_FILL, PROPERTY_FONT_NAME, PROPERTY_FONT_SIZE, PROPERTY_FORECOLOR, PROPERTY_HORIZONTAL_ALIGNMENT, PROPERTY_IS_STYLED_TEXT, PROPERTY_ITALIC, PROPERTY_LINE_SPACING, PROPERTY_MARKUP, PROPERTY_MODE, PROPERTY_PATTERN, PROPERTY_PDF_EMBEDDED, PROPERTY_PDF_ENCODING, PROPERTY_PDF_FONT_NAME, PROPERTY_RADIUS, PROPERTY_ROTATION, PROPERTY_SCALE_IMAGE, PROPERTY_STRIKE_THROUGH, PROPERTY_UNDERLINE, PROPERTY_VERTICAL_ALIGNMENT, radius, rotationValue, scaleImageValue, stretchType, verticalAlignmentValue`

Fields inherited from interface net.sf.jasperreports.engine.JRStyle
`PROPERTY_EVALUATION_TIME_ENABLED`

Constructor Summary
`JRDesignStyle()`

Method Summary
`void` | `addConditionalStyle(int index, JRConditionalStyle conditionalStyle)`
`void` | `addConditionalStyle(JRConditionalStyle conditionalStyle)`
`java.lang.Object` | `clone()`
`java.util.List` | `getConditionalStyleList()`
`JRConditionalStyle[]` | `getConditionalStyles()`
`boolean` | `removeConditionalStyle(JRConditionalStyle conditionalStyle)`
`void` | `setDefault(boolean isDefault)`
`void` | `setName(java.lang.String name)`
`void` | `setParentStyle(JRStyle parentStyle)`
`void` | `setParentStyleNameReference(java.lang.String styleName)` Set the name of the external style to be used as parent style.

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseStyle
`checkCircularParent, getBackcolor, getBorder, getBorderColor, getBottomBorder, getBottomBorderColor, getBottomPadding, getDefaultLineColor, getDefaultLineWidth, getDefaultStyleProvider, getEventSupport, getFill, getFillValue, getFontName, getFontSize, getForecolor, getHorizontalAlignment, getHorizontalAlignmentValue, getLeftBorder, getLeftBorderColor, getLeftPadding, getLineBox, getLinePen, getLineSpacing, getLineSpacingValue, getMarkup, getMode, getModeValue, getName, getOwnBackcolor, getOwnBorder, getOwnBorderColor, getOwnBottomBorder, getOwnBottomBorderColor, getOwnBottomPadding, getOwnFill, getOwnFillValue, getOwnFontName, getOwnFontSize, getOwnForecolor, getOwnHorizontalAlignment, getOwnHorizontalAlignmentValue, getOwnLeftBorder, getOwnLeftBorderColor, getOwnLeftPadding, getOwnLineSpacing, getOwnLineSpacingValue, getOwnMarkup, getOwnMode, getOwnModeValue, getOwnPadding, getOwnPattern, getOwnPdfEncoding, getOwnPdfFontName, getOwnPen, getOwnRadius, getOwnRightBorder, getOwnRightBorderColor, getOwnRightPadding, getOwnRotation, getOwnRotationValue, getOwnScaleImage, getOwnScaleImageValue, getOwnTopBorder, getOwnTopBorderColor, getOwnTopPadding, getOwnVerticalAlignment, getOwnVerticalAlignmentValue, getPadding, getPattern, getPdfEncoding, getPdfFontName, getPen, getRadius, getRightBorder, getRightBorderColor, getRightPadding, getRotation, getRotationValue, getScaleImage, getScaleImageValue, getStyle, getStyleNameReference, getTopBorder, getTopBorderColor, getTopPadding, getVerticalAlignment, getVerticalAlignmentValue, isBlankWhenNull, isBold, isDefault, isItalic, isOwnBlankWhenNull, isOwnBold, isOwnItalic, isOwnPdfEmbedded, isOwnStrikeThrough, isOwnStyledText, isOwnUnderline, isPdfEmbedded, isStrikeThrough, isStyledText, isUnderline, rename, setBackcolor, setBlankWhenNull, setBlankWhenNull, setBold, setBold, setBorder, setBorder, setBorderColor, setBottomBorder, setBottomBorder, setBottomBorderColor, setBottomPadding, setBottomPadding, setFill, setFill, setFill, setFontName, setFontSize, setFontSize, setForecolor, setHorizontalAlignment, setHorizontalAlignment, setHorizontalAlignment, setItalic, setItalic, setLeftBorder, setLeftBorder, setLeftBorderColor, setLeftPadding, setLeftPadding, setLineSpacing, setLineSpacing, setLineSpacing, setMarkup, setMode, setMode, setMode, setPadding, setPadding, setPattern, setPdfEmbedded, setPdfEmbedded, setPdfEncoding, setPdfFontName, setPen, setPen, setRadius, setRadius, setRightBorder, setRightBorder, setRightBorderColor, setRightPadding, setRightPadding, setRotation, setRotation, setRotation, setScaleImage, setScaleImage, setScaleImage, setStrikeThrough, setStrikeThrough, setStyledText, setStyledText, setTopBorder, setTopBorder, setTopBorderColor, setTopPadding, setTopPadding, setUnderline, setUnderline, setVerticalAlignment, setVerticalAlignment, setVerticalAlignment`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_DEFAULT

    public static final java.lang.String PROPERTY_DEFAULT

See Also:
  Constant Field Values

### PROPERTY_NAME

    public static final java.lang.String PROPERTY_NAME

See Also:
  Constant Field Values

### PROPERTY_PARENT_STYLE

    public static final java.lang.String PROPERTY_PARENT_STYLE

See Also:
  Constant Field Values

### PROPERTY_PARENT_STYLE_NAME_REFERENCE

    public static final java.lang.String PROPERTY_PARENT_STYLE_NAME_REFERENCE

See Also:
  Constant Field Values

### PROPERTY_CONDITIONAL_STYLES

    public static final java.lang.String PROPERTY_CONDITIONAL_STYLES

See Also:
  Constant Field Values

Constructor Detail

### JRDesignStyle

    public JRDesignStyle()

Method Detail

### setName

    public void setName(java.lang.String name)

### setDefault

    public void setDefault(boolean isDefault)

### setParentStyle

    public void setParentStyle(JRStyle parentStyle)

  Overrides:
    `setParentStyle` in class `JRBaseStyle`

### addConditionalStyle

    public void addConditionalStyle(JRConditionalStyle conditionalStyle)

### addConditionalStyle

    public void addConditionalStyle(int index,
                                    JRConditionalStyle conditionalStyle)

### removeConditionalStyle

    public boolean removeConditionalStyle(JRConditionalStyle conditionalStyle)

### getConditionalStyles

    public JRConditionalStyle[] getConditionalStyles()

  Specified by:
    `getConditionalStyles` in interface `JRStyle`
  Overrides:
    `getConditionalStyles` in class `JRBaseStyle`

### getConditionalStyleList

    public java.util.List getConditionalStyleList()

### setParentStyleNameReference

    public void setParentStyleNameReference(java.lang.String styleName)

  Set the name of the external style to be used as parent style.

  An external style is only effective when there is no internal parent style set, i.e. `getStyle()` returns `null` The external style will be resolved at fill time from the templates used in the report.

  Parameters:
    `styleName` - the name of the external style
  See Also:
    `JRBaseStyle.getStyleNameReference()`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `JRBaseStyle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com